package com.example.demo.news.repository;

import java.util.List;
import java.util.Optional;

import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import com.example.demo.news.model.NewsEntity;

@Repository
public interface NewsRepository extends CrudRepository<NewsEntity, Long>,
        PagingAndSortingRepository<NewsEntity, Long> {

    Optional<NewsEntity> findByNameIgnoreCase(String name);

    List<NewsEntity> findByDepartmentId(long departmentId);
}
